Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 922153 - app-crypt/pius-3.0.0-r1 installs deprecated .egg/.egg-info (GCC-14-SYSTEM)
Summary: app-crypt/pius-3.0.0-r1 installs deprecated .egg/.egg-info (GCC-14-SYSTEM)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Nick
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 921639
  Show dependency tree
 
Reported: 2024-01-15 07:49 UTC by Agostino Sarubbo
Modified: 2024-06-19 09:42 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,59.75 KB, text/plain)
2024-01-15 07:49 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2024-01-15 07:49:56 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: app-crypt/pius-3.0.0-r1 installs deprecated .egg/.egg-info (GCC-14-SYSTEM).
Discovered on: amd64 (internal ref: gcc14_tinderbox)

NOTE:
(GCC-14-SYSTEM) in the summary means that the bug was found on a machine that runs gcc-14 but this bug MAY or MAY NOT BE related to the new compiler
Comment 1 Agostino Sarubbo gentoo-dev 2024-01-15 07:49:57 UTC
Created attachment 882309 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2024-06-19 09:42:57 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a632ccef4a06219bebd8dc0000b1e75b4601a83a

commit a632ccef4a06219bebd8dc0000b1e75b4601a83a
Author:     Pacho Ramos <pacho@gentoo.org>
AuthorDate: 2024-06-19 09:34:32 +0000
Commit:     Pacho Ramos <pacho@gentoo.org>
CommitDate: 2024-06-19 09:42:09 +0000

    app-crypt/pius: Support python 3.12 and port to PEP517
    
    Closes: https://bugs.gentoo.org/909869
    Closes: https://bugs.gentoo.org/922153
    Closes: https://bugs.gentoo.org/929292
    Signed-off-by: Pacho Ramos <pacho@gentoo.org>

 app-crypt/pius/pius-3.0.0-r2.ebuild | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)